import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/* eslint-disable no-nested-ternary */
import makeStyles from "../../../../ui/styles/makeStyles";
var getClasses = makeStyles(function (_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      typography = _ref$cleverUI.typography,
      spaces = _ref$cleverUI.spaces,
      colors = _ref$cleverUI.colors,
      transitions = _ref$cleverUI.transitions,
      breakpoints = _ref$cleverUI.breakpoints;
  return {
    section: {
      marginBottom: spaces.md
    },
    addAssetButton: _objectSpread(_objectSpread({}, typography.variants.small), {}, {
      fontWeight: 600,
      gap: spaces.xs,
      alignItems: "center"
    }),
    button: {
      cursor: "pointer",
      border: "none",
      background: "none"
    },
    popover: {
      padding: spaces.md,
      backgroundColor: "".concat(colors.navyBlue[500], " !important")
    },
    stripedBorder: function stripedBorder(_ref2) {
      var landscape = _ref2.landscape,
          logo = _ref2.logo,
          video = _ref2.video,
          hasImage = _ref2.hasImage;
      return {
        aspectRatio: "".concat(!hasImage && (logo ? landscape ? "3" : "1" : landscape ? "1.91 / 1" : video ? "" : "1")),
        height: "".concat(logo ? "144px" : landscape || video ? "250px" : "224px"),
        width: "".concat(landscape ? "100%" : video ? "100%" : ""),
        maxWidth: "".concat(logo ? landscape ? "400px" : "144px" : landscape ? "min(582px, 100%)" : "224px"),
        backgroundColor: colors.neutral[100],
        borderRadius: "8px",
        overflow: "hidden",
        position: "relative",
        isolation: "isolate",
        "&[data-warning=true]": {
          background: "none",
          border: "2px dashed ".concat(colors.warning[500])
        }
      };
    },
    headerButtons: {
      position: "absolute",
      top: 0,
      left: 0,
      boxSizing: "border-box",
      width: "100%"
    },
    removeButton: _objectSpread(_objectSpread({
      padding: "".concat(spaces.xs, " ").concat(spaces.sm),
      background: colors.danger[50],
      border: "2px solid ".concat(colors.danger[500]),
      borderRadius: "32px",
      cursor: "pointer"
    }, typography.variants.small), {}, _defineProperty({
      color: colors.danger[500]
    }, breakpoints.up("lg"), {
      fontSize: "12px"
    })),
    iaButton: _objectSpread(_objectSpread({
      padding: "".concat(spaces.xs, " ").concat(spaces.sm),
      background: colors.primary[50],
      borderRadius: "32px"
    }, typography.variants.small), {}, _defineProperty({
      color: colors.primary[500],
      fontWeight: 600
    }, breakpoints.up("lg"), {
      fontSize: "12px"
    })),
    uploadButton: _objectSpread(_objectSpread({
      cursor: "pointer",
      border: "none",
      background: "none"
    }, typography.variants.small), {}, {
      color: colors.primary[500],
      fontWeight: 600,
      textAlign: "left"
    }),
    image: function image(_ref3) {
      var logo = _ref3.logo,
          video = _ref3.video,
          aspect = _ref3.aspect,
          landscape = _ref3.landscape;
      return {
        aspectRatio: "".concat(logo ? landscape ? "3" : "1" : landscape ? aspect || "1.91 / 1" : video ? "" : "1"),
        maxHeight: "".concat(logo ? landscape ? "" : "144px" : landscape || video ? "250px" : "224px"),
        width: "100%",
        borderRadius: "8px",
        objectFit: "cover"
      };
    },
    rotateIcon: function rotateIcon(_ref4) {
      var showTags = _ref4.showTags;
      return {
        transform: showTags ? "rotate(90deg)" : "none",
        transition: "transform ".concat(transitions.duration["short"], " ").concat(transitions.easings.ease_in_out)
      };
    },
    tagEditable: {
      "& input": _objectSpread({
        height: spaces.xl,
        backgroundColor: colors.blue[50],
        color: colors.blue[500],
        borderRadius: spaces.md,
        wordBreak: "break-all",
        border: "none",
        padding: "".concat(spaces.xs, " ").concat(spaces.sm)
      }, typography.variants.small)
    },
    relative: {
      position: "relative"
    },
    snackbar: {
      position: "absolute",
      top: "-10px !important"
    },
    loadingContainer: {
      position: "absolute",
      width: "100%",
      height: "100%",
      transform: "none !important"
    },
    dragActive: {
      background: colors.neutral[50],
      opacity: 0.5
    },
    noShrink: {
      flexShrink: 0
    }
  };
});
export default getClasses;